Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# MSG_MESSAGE Struct Reference

`#include <paragui_types.h>`

Collaboration diagram for MSG_MESSAGE:

[legend]
List of all members.

## Public Attributes
MSG_TYPE | type
SDLMessageObject* | from
SDLMessageObject* | to
unsigned long | widget_id
unsigned long | data
SDL_Point | pt

## Member Data Documentation

unsigned long MSG_MESSAGE::data

| Definition at line 95 of file paragui_types.h.

SDLMessageObject * MSG_MESSAGE::from

| Definition at line 92 of file paragui_types.h.

SDL_Point MSG_MESSAGE::pt

| Definition at line 96 of file paragui_types.h.

SDLMessageObject * MSG_MESSAGE::to

| Definition at line 93 of file paragui_types.h.

MSG_TYPE MSG_MESSAGE::type

| Definition at line 91 of file paragui_types.h.

unsigned long MSG_MESSAGE::widget_id

| Definition at line 94 of file paragui_types.h.

The documentation for this struct was generated from the following file:

- paragui_types.h